Name:           dynamips
Version:        0.2.8
Release:        0.1.RC2%{?dist}
Summary:        IOS Emulator/Hypervisor

Group:          Applications/Emulators
License:        GPLv2
URL:            http://www.ipflow.utc.fr/index.php/Cisco_7200_Simulator
Source0:        http://www.ipflow.utc.fr/dynamips/%{name}-%{version}-RC2.tar.gz
Patch0:         dynamips-0.2.8-RC2-makefilefixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  elfutils-libelf-devel libpcap-devel

%description
Dynamips is an IOS emulator with hypervisor, allowing users
to run several IOS images (in particular 3600 and 7200 series) as fully
functional routers

%prep
%setup -qn %{name}-%{version}-RC2
%patch0 -p1 -b .makefilefix

# dynamips will compile okay by default for i386, but needs DYNAMIPS_ARCH
# set for any others

%ifarch x86_64
sed -i -e 's|DYNAMIPS_ARCH?=x86|DYNAMIPS_ARCH?=amd64|' Makefile
%endif
%ifnarch i386 x86_64
sed -i -e 's|DYNAMIPS_ARCH?=x86|DYNAMIPS_ARCH?=nojit|' Makefile
%endif

%build
#-j3 appears to kill the build, leaving out
#CFLAGS=$RPM_OPT_FLAGS make %{?_smp_mflags}
CFLAGS=$RPM_OPT_FLAGS make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT%{_usr} MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README README.hypervisor COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/nvram_export
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/nvram_export.1.gz
%{_mandir}/man7/hypervisor_mode.7.gz



%changelog
* Tue Apr 27 2010 Lucian Langa <cooly@gnome.eu.org> - 0.2.8-0.1.RC2
- update patch0
- update to upstream pre-release version

* Tue Mar 31 2009 Lucian Langa <cooly@gnome.eu.org> - 0.2.7-5
- misc cleanups

* Sat Aug 18 2007 Nigel Jones <dev@nigelj.com> 0.2.7-4
- Opps, silly mistakes/tiny touchups

* Sat Aug 18 2007 Nigel Jones <dev@nigelj.com> 0.2.7-3
- Fix License tag,
- Include Documentation (opps)
- Remove 'Cisco' from description

* Fri Jun 29 2007 Nigel Jones <dev@nigelj.com> 0.2.7-2
- Small touchups

* Fri Jun 29 2007 Nigel Jones <dev@nigelj.com> 0.2.7-1
- Initial RPM
